package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.SecScheduled;
import com.railway.business.safetool.domain.vo.SecScheduledCountVo;
import com.railway.business.safetool.domain.vo.SecScheduledListParmVo;
import com.railway.business.safetool.domain.vo.SecScheduledToolListVo;
import com.railway.business.safetool.domain.vo.SecScheduledToolVo;
import java.util.List;

/**
 * 安全工具计划表
 *
 * @author lijie
 * @date 2021/12/04
 */
public interface ISecScheduledService {

  /**
   * 新增
   */
  Long create(SecScheduledToolListVo scheduledToolVo) throws Exception;

  /**
   * 删除
   */
  int delete(String[] ids);

  /**
   * 更新
   */
  int update(SecScheduled secScheduled);

  /**
   * 获取单个
   */
  SecScheduledToolListVo getInfo(Long id);

  /**
   * 查询列表
   */
  List<SecScheduledCountVo> getList(SecScheduledListParmVo secScheduled);


  int delTools(SecScheduledToolVo secScheduled) throws Exception;


  int addTools(SecScheduledToolVo toolsVo) throws Exception;
}
